import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ServiceCenterComponent } from './component/service-center.component';
import { SendMessageComponent } from './component/send-message.component';
import { FreeBoardComponent } from './component/free-board.component';
import { BettingRuleComponent } from './component/betting-rule.component';
import { PopupConfigComponent } from './component/popup-config.component';
import { EventRegistComponent } from './component/event-regist.component';
import { NoticeBoardComponent } from './component/notice-board.component';
import { FreeBoardRegistComponent } from './component/free-board-regist.component';
import { PopupConfigDetailComponent } from './component/popup-config-detail.component';
import { PopupConfigDetailResolver } from './resolver/popup-config-detail.resolver';

const routes: Routes = [
  {
    path: 'service-center',
    component: ServiceCenterComponent
  },
  {
    path: 'send-message',
    component: SendMessageComponent
  },
  {
    path: 'free-board',
    component: FreeBoardComponent
  },
  {
    path: 'betting-rule',
    component: BettingRuleComponent
  },
  {
    path: 'popup-config',
    component: PopupConfigComponent
  },
  {
    path: 'popup-config/:id',
    component: PopupConfigDetailComponent,
    resolve: {
      popupSet: PopupConfigDetailResolver
    }
  },
  {
    path: 'event-regist',
    component: EventRegistComponent
  },
  {
    path: 'notice-board',
    component: NoticeBoardComponent
  },
  {
    path: 'free-board-regist',
    component: FreeBoardRegistComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class InfoRoutingModule {}
