import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { DepositComponent } from './component/deposit.component';
import { WithdrawalComponent } from './component/withdrawal.component';
import { MoneyLogComponent } from './component/money-log.component';
import { PointLogComponent } from './component/point-log.component';
import { DailySettlementComponent } from './component/daily-settlement.component';

const routes: Routes = [
  {
    path: 'deposit',
    component: DepositComponent
  },
  {
    path: 'withdrawal',
    component: WithdrawalComponent
  },
  {
    path: 'money-log',
    component: MoneyLogComponent
  },
  {
    path: 'point-log',
    component: PointLogComponent
  },
  {
    path: 'daily-settlement',
    component: DailySettlementComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class MoneyRoutingModule {}
